import { SpotLight } from 'three';
import type { Vec } from './Type';
import type CustomThreeLayer from '@vuemap/vue-amap/es/packages/three/ThreeLayer/CustomThreeLayer';
interface Options {
    color: string;
    intensity: number;
    distance: number;
    angle: number;
    penumbra: number;
    decay: number;
    position: Vec;
    target: any;
}
declare class ThreeLightSpot {
    object: SpotLight | null;
    layer: CustomThreeLayer | null;
    constructor(layer: CustomThreeLayer, options: Options);
    setColor(color: string): void;
    getColorHex(color: string): number;
    setIntensity(intensity: number): void;
    setPosition(position: Vec): void;
    setTarget(target?: any): void;
    refresh(): void;
    remove(): void;
    destroy(): void;
}
export default ThreeLightSpot;
